Page MenuHomePhabricator

Impact module: Implement table list component
Closed, ResolvedPublic

Description

This task is about re-implementing the existing impact module list using Vue.

Old design (not in Vue):

image.png (646×948 px, 242 KB)

New design (in Vue):

Screen Shot 2022-07-19 at 8.02.48 AM.png (692×712 px, 264 KB)

Figma Design: https://www.figma.com/file/fOa1x7hw6EM9VnaMJv7vib/Positive-reinforcement?node-id=1467%3A108100

What is not included in this task:

  • The sparkline visual is a separate task: T220141
  • Filter / sort articles is a separate task: T220139
  • "Edit again" call to action under article title is a separate task: T310649

Acceptance Criteria

As a logged in user with "Display newcomer homepage" enabled in my preferences,
When I visit the newcomer homepage,
Then I see a list of up to 5 articles that are the most viewed articles that I have edited in the last 30 days.

  • "View all you edits" links to: https://en.wikipedia.org/wiki/Special:Contributions/[[USERNAME]]
  • New table list component built using Vue.
  • Ensure the component will be compatible with future task to add filtering (past 30 days, past 60 days, past year, all time) and sorting options (sort by most viewed, least viewed, newest edits, oldest edits). T220139

Completion checklist

Functionality

  • The patches have been code reviewed and merged
  • The task passes its acceptance criteria

Engineering

  • There are existing and passing unit/integration tests
  • Tests for every involved patch should pass
  • Coverage for every involved project should have improved or stayed the same

Design & QA

  • If the task is UX/Design related: it must be reviewed and approved by the UX/Design team
  • Must be reviewed and approved by Quality Assurance.

Documentation

  • Related and updated documentation done where necessary

Event Timeline

kostajh triaged this task as Medium priority.Jul 19 2022, 12:59 PM
kostajh updated the task description. (Show Details)

Change 819114 had a related patch set uploaded (by Sergio Gimeno; author: Sergio Gimeno):

[mediawiki/extensions/GrowthExperiments@master] WIP Impact module: add table list component

https://gerrit.wikimedia.org/r/819114

Change 819113 had a related patch set uploaded (by Sergio Gimeno; author: Sergio Gimeno):

[mediawiki/extensions/GrowthExperiments@master] WIP Impact module: add table list component

https://gerrit.wikimedia.org/r/819113

Change 819114 abandoned by Sergio Gimeno:

[mediawiki/extensions/GrowthExperiments@master] WIP Impact module: add table list component

Reason:

squashed in 819113

https://gerrit.wikimedia.org/r/819114

Sgs changed the task status from Open to In Progress.Aug 2 2022, 5:25 PM
Sgs raised the priority of this task from Medium to High.
Sgs lowered the priority of this task from High to Medium.Aug 3 2022, 9:08 AM

Change 834351 had a related patch set uploaded (by Sergio Gimeno; author: Sergio Gimeno):

[mediawiki/extensions/GrowthExperiments@master] [WIP] User impact: add top edited articles section

https://gerrit.wikimedia.org/r/834351

I copied the Impact::getImage function to ComputedUserImpactLookup::getImage in gerrit 834351 and called it from getPageViewData to add the article thumbnail URLs to the dailyArticleViews. Not sure if there are preferred/better ways to make use/inject the PageImages extension.

The Impact::getPageViewToolsUrl uses "project", "userlang" and "start" (date) as relevant params to build the pageviews url. I think there's not much value on storing these so the idea was to aggregate them once the dailyArticleViews are computed. However that would require extra params at the api handler which seemed confusing for just building the localised pageviews url. For this reason I moved the pageviews url construction to the client.

Do the approaches make sense? What do you think? @kostajh @Tgr

Change 853274 had a related patch set uploaded (by Kosta Harlan; author: Kosta Harlan):

[mediawiki/extensions/GrowthExperiments@master] UserImpactHandler: Adjust time zone correction for page view URLs

https://gerrit.wikimedia.org/r/853274

Change 834351 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] User impact: add top edited articles section

https://gerrit.wikimedia.org/r/834351

Sgs changed the task status from In Progress to Open.Nov 4 2022, 3:31 PM
Sgs moved this task from Code Review to QA on the Growth-Team (Sprint 0 (Growth Team)) board.

Change 853274 abandoned by Kosta Harlan:

[mediawiki/extensions/GrowthExperiments@master] UserImpactHandler: Adjust time zone correction for page view URLs

Reason:

https://gerrit.wikimedia.org/r/853274

Etonkovidova added subscribers: RHo, Etonkovidova.

For @RHo review. All functionality/UI seem to be in place - see the screenshots below:
Desktop:

Screen Shot 2022-11-28 at 3.16.46 PM.png (1×782 px, 133 KB)
Screen Shot 2022-11-28 at 4.56.46 PM.png (1×804 px, 162 KB)

Mobile:

Screen Shot 2022-11-28 at 5.38.50 PM.png (1×788 px, 116 KB)